<?php
    include("../tde-head-and-foot.php");
    doHeader("Asking Questions", "Documentation", "FAQ", "../");
?>
<STYLE>
    .question {font-weight:bold;}
    TD {padding-top:10px}
</STYLE>
<table width="100%" class="header"><tbody><tr><td align="left" class="navLeft" width="33%"><a accesskey="p" href="more-info.php">Prev</a></td><td align="center" class="navCenter" width="34%"></td><td align="right" class="navRight" width="33%">

		      <a accesskey="n" href="contribute.php">Next</a></td></tr></tbody></table>
<p class="chapter" lang="en">
<p class="titlepage">
<p>
<p><h2 class="title"><a name="questions"></a>Chapter 18. Asking Questions</h2><p>To get an appropriate answer to questions requires asking a clear

question in a manner that motivates people to help. Writing questions that

appear to be rude, lazy, or uses bad or unclear language likely will result

in your question being ignored.</p>
<p class="qandaset"><dl><dt>18.1. <a href="questions.php#idm140487996996016">What do I do before I ask?</a></dt><dt>18.2. <a href="questions.php#idm140487996913792">Where do I ask?</a></dt><dt>18.3. <a href="questions.php#idm140487996909360">How do I ask?</a></dt><dt>18.4. <a href="questions.php#idm140487996896592">What do I do when told to look elsewhere?</a></dt></dl><table border="0" summary="Q and A Set"><col align="left" width="1%"><tbody><tr class="question"><td align="left" valign="top"><a name="idm140487996996016"></a><a name="idm140487996995696"></a><b>18.1.</b></td><td align="left" valign="top"><p>What do I do before I ask?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Read the documentation and FAQ for the application. There is

a wealth of TDE documentation availible both in the help center and

online. A lot of time and effort has gone into this documentation, and

often the answer to your question is there. The general TDE userguide

can be found by typing <strong class="userinput"><code><strong class="command">help:/khelpcenter/userguide</strong></code></strong>

into the Konqueror address bar or <strong class="userinput"><code><strong class="command">

khelpcenter help:/khelpcenter/userguide with the minicli</strong></code></strong>.</p><p>Search the web: Usually searching for a specific error message or

searching mailing list archives will find a solution.</p><p>Try it and see! Look through all the application options, read the

What's this? and tooltips for the ones you're not sure about. If you're

really unsure about an option save your data and then try. As long as you

use common sense you are unlikely to break anything by experimenting.</p><p>Don't be lazy. If you show the people who you are asking

that you are able to troubleshoot and research in a logical manner, you're

showing them you're a reasonable person who is worth their time to

help. It's your problem and not theirs so the legwork is yours to do. Save

your helpers as much time as you can.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487996913792"></a><a name="idm140487996913472"></a><b>18.2.</b></td><td align="left" valign="top"><p>Where do I ask?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Usually the best place to ask a question is on the

IRC channels and mailing lists devoted to user

questions. Don't post simple questions about using TDE to the devel

channels and mailing lists, these are for technical discussions. Some good

places are chat.freenode.net, channel: #trinity-desktop, and the TDE <a href="/mailinglist.php" target="_top">mailing

lists</a>.

</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487996909360"></a><a name="idm140487996909040"></a><b>18.3.</b></td><td align="left" valign="top"><p>How do I ask?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Try to word your questions in a manner that gives the most

information possible and is polite and courteous. Don't ask to ask, just

ask!</p><p>Q: TDE sucks, it's slow</p><p>This is not a question that is likely to get you a useful answer. It does

not give any useful information about troubleshooting the problem, and it

starts out attacking the software in a way that isn't productive.</p><p>Q: Since updating TDE on Slackware Linux using sources, I have

noticed it's being really slow  sometimes

applications take up to 20 seconds to launch. I am using the same user

configuration as I had with the previous version. I have tried as a new

user. I can't find anything about this on the mailing lists or by a web

search. Could anyone point me to some information that could help?</p><p>This question is polite, contains information to help people

troubleshoot the problem and shows your helpers what avenues you have

already tried.</p><p>Don't presume automatically that the problem is the fault of

TDE. Otherwise you likely will annoy people.</p><p>Use clear language with correct spelling. Watch out for any

ambiguities and make sure you think about what you say before you write

it. If you are asked for clarification, give it as best you can. TDE is a

project where many of the users and developers are not native english

speakers and if you don't use correct english, misunderstandings might

ensue. Be patient. Use the language appropriate to the channel or mailing list you are

in  if you don't, people who might have been able to help you might

ignore your message because it is not in a language they understand.</p><p>Include all information that could be relevant, even when you're not

sure. Have you updated other software or hardware on your system,

particularly system libraries or a new kernel? These things could affect how

TDE performs. Even when you cannot see a connecting cause, someone else might.</p><p>Don't paraphrase error messages. Paste in the exact error, and if it's

more than a line or two don't paste them directly into an

IRC channel. Use an online paste service. If you

must type the messages by hand, be sure you are accurate. When you provide

faulty information, your helpers cannot help you as easily.</p><p>Follow through on your solution! Tell people when the solution worked, or when you have

solved the problem yourself. This helps everybody involved know when

solutions work and helps other users who might be searching for a similar

solution to the problem.</p></td></tr><tr class="question"><td align="left" valign="top"><a name="idm140487996896592"></a><a name="idm140487996896272"></a><b>18.4.</b></td><td align="left" valign="top"><p>What do I do when told to look elsewhere?</p></td></tr><tr class="answer"><td align="left" valign="top"><b></b></td><td align="left" valign="top"><p>Possibly you have not followed the above

advice. You've not done your research, and the solution probably is one the

helper knows very well to be easy to find. When provided a web link to an

FAQ or documentation don't say, No, I don't

want to have to read this I want you to just tell me. That response

is considered bad manners. People who don't provide effort to learn often

find others have little incentive to help.</p></td></tr></tbody></table><p>Use common courtesy. TDE users and developers volunteer their time

out of an already very busy schedule, and like to

know that you are appreciating they are helping you for free. Be

polite, say please and thank you, be constructive, and try to be pleasant and

friendly.</p><p> Does this seem like a lot of trouble to ask a question? If you want

to be able to feel that people owe you an answer or support, then you're

quite welcome to pay for commercial support from companies that support

TDE on Unix-like platforms. If you don't want to pay money, then pay the

people who do this for free with your politeness and appreciation. :-)</p><p>If you think the answer to your question should be included in the

TDE FAQ please feel free to submit any patches or suggestions to the

TDE FAQ Maintainer, at <code class="email">&lt;<a href="mailto:trinity-devel@lists.pearsoncomputing.net">trinity-devel@lists.pearsoncomputing.net</a>&gt;</code></p><table width="100%" class="bottom-nav"><tr><td width="33%" align="left" valign="top" class="navLeft"><a href="more-info.php">Prev</a></td><td width="34%" align="center" valign="top" class="navCenter"><a href="index.php">Home</a></td><td width="33%" align="right" valign="top" class="navRight"><a href="contribute.php">Next</a></td></tr><tr><td width="33%" align="left" class="navLeft">Getting more information</td><td width="34%" align="center" class="navCenter"><a href="index.php">Up</a></td><td width="33%" align="right" class="navRight">Contributing</td></tr></table>
<?php
    doFooter();
?>

